package com.cringe_studios.christmastreescanning.scanning.image_scanning;

import java.awt.geom.Point2D;
import java.awt.image.BufferedImage;

public abstract class RGBImageScanner extends ImageScanner{
	
	protected abstract BufferedImage[] toGrayscale(BufferedImage rgbImage);
	
	public static RGBImageScanner instance(BufferedImage rgbImage, boolean toMultipleGrayscaleImages) {
		//TODO
		return null;
	}

}
